Loading...
Searching...
No Matches
pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat Struct Reference

Structure for storing the visual word. More...

`#include <pcl/recognition/implicit_shape_model.h>`

## Public Member Functions

| VisualWordStat ()
| Empty constructor with member variables initialization.

## Public Attributes

int | class_ {-1}
| Which class this vote belongs.
float | learned_weight_ {0.0f}
| Weight of the vote.
pcl::PointXYZ | dir_to_center_
| Expected direction to center.

## Detailed Description

template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>
struct pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat

Structure for storing the visual word.

Definition at line 315 of file implicit_shape_model.h.

## Constructor & Destructor Documentation

## VisualWordStat()

template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>

pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::VisualWordStat | ( |  | ) |

inline

Empty constructor with member variables initialization.

Definition at line 318 of file implicit_shape_model.h.

References dir_to_center_.

## Member Data Documentation

## class_

template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>

int pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::class_ {-1}

Which class this vote belongs.

Definition at line 323 of file implicit_shape_model.h.

## dir_to_center_

template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>

pcl::PointXYZ pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::dir_to_center_

Expected direction to center.

Definition at line 329 of file implicit_shape_model.h.

Referenced by VisualWordStat().

## learned_weight_

template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>

float pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::VisualWordStat::learned_weight_ {0.0f}

Weight of the vote.

Definition at line 326 of file implicit_shape_model.h.

The documentation for this struct was generated from the following file:

- pcl/recognition/implicit_shape_model.h